# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(Gtk2.pm) perl(Gtk2/GladeXML.pm) perl(Gtk2/Helper.pm) perl(Net/IPv6Addr.pm)
# END SourceDeps(oneline)
Summary:	Graphical DNS query tool
Name:		gresolver
Version:	0.0.5
Release:	alt1_11

Group:		File tools
License:	GPLv2+ or Artistic
URL:		http://jodrell.net/projects/gresolver

Source: 	http://jodrell.net/files/%{name}/%{name}-%{version}.tar.gz
Source1:	gresolver.desktop
Patch1:		gresolver-0.0.5-makefile.patch


BuildArch: 	noarch
BuildRequires: 	desktop-file-utils
Requires: 	gtk2 >= 2.6.0 perl bind-utils > 9 perl-Locale-gettext
Source44: import.info

%description
GResolver is a graphical DNS query tool. It allows system administrators
to quickly and easily make the most common DNS queries without constructing 
lengthy 'dig' commands.

%prep
%setup -q
%patch1 -p1
./configure --prefix=%{_prefix}

%build
sed -e 's|@PREFIX@|%{_prefix}|g' <%{name}.pl >%{name}

%install
make install prefix=%{buildroot}%{_prefix}

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

%files
%doc COPYING ChangeLog
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/

%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_11
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_10
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_9
- initial fc import

